# osgUtil::TransformCallback Class Reference

Inheritance diagram for osgUtil::TransformCallback:

[legend]
List of all members.

## Public Member Functions

| TransformCallback (const osg::Vec3 &pivot, const osg::Vec3 &axis, float angularVelocity)
void | setPause (bool pause)
virtual void | operator() (osg::Node *node, osg::NodeVisitor *nv)
| implements the callback

## Protected Attributes

float | _angular_velocity
osg::Vec3 | _pivot
osg::Vec3 | _axis
int | _previousTraversalNumber
double | _previousTime
bool | _pause

## Constructor & Destructor Documentation

TransformCallback::TransformCallback | ( | const osg::Vec3 & | pivot,
|  | const osg::Vec3 & | axis,
|  | float | angularVelocity
| ) |

## Member Function Documentation

void TransformCallback::operator() | ( | osg::Node * | node,
|  | osg::NodeVisitor * | nv
| ) | `[virtual]`

| implements the callback

void osgUtil::TransformCallback::setPause | ( | bool | pause | ) | `[inline]`

## Member Data Documentation

float osgUtil::TransformCallback::_angular_velocity `[protected]`

osg::Vec3 osgUtil::TransformCallback::_axis `[protected]`

bool osgUtil::TransformCallback::_pause `[protected]`

osg::Vec3 osgUtil::TransformCallback::_pivot `[protected]`

double osgUtil::TransformCallback::_previousTime `[protected]`

int osgUtil::TransformCallback::_previousTraversalNumber `[protected]`

The documentation for this class was generated from the following files:

- TransformCallback
- TransformCallback.cpp